// tablon.cpp - Definición de la clase CTablon
#include "tablon.h"

CTablon::CTablon(int participantes)
{
  // Crear e iniciar la matriz de posiciones de los participantes
  m_nParticipantes = participantes;

  m_Posicion = new int[m_nParticipantes];
  for(int i = 0; i < m_nParticipantes; i++)
    m_Posicion[i] = 0; // contadores a cero
}

CTablon::~CTablon() { delete [] m_Posicion; }

bool CTablon::finCarrera()
{
  for (int i = 0; i < m_nParticipantes; i++)
  {
    if (m_Posicion[i] == 75) // distancia a recorrer
      return true;           // final de la carrera
  }
  return false;              // continuar
}

void CTablon::incrementarPosicion(int dorsal)
{
  m_Posicion[dorsal]++;      // participante avanza
}

int CTablon::posicion(int dorsal)
{
  return m_Posicion[dorsal]; // posición actual
}

int CTablon::numParticipantes()
{
  return m_nParticipantes;   // número de participantes
}

